import request from '@/utils/request'

// 查询经营异常名录信息列表
export function listOperations(query) {
  return request({
    url: '/basicData/xcrAbnormalBusinessOperations/findByPage',
    method: 'get',
    params: query
  })
}

// 查询经营异常名录信息详细
export function getOperations(xhCodeId) {
  return request({
    url: '/basicData/xcrAbnormalBusinessOperations/' + xhCodeId,
    method: 'get'
  })
}

// 新增经营异常名录信息
export function addOperations(data) {
  return request({
    url: '/basicData/xcrAbnormalBusinessOperations',
    method: 'post',
    data: data
  })
}

// 修改经营异常名录信息
export function updateOperations(data) {
  return request({
    url: '/basicData/xcrAbnormalBusinessOperations',
    method: 'put',
    data: data
  })
}

// 删除经营异常名录信息
export function delOperations(xhCodeId) {
  return request({
    url: '/basicData/xcrAbnormalBusinessOperations/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delOperationsBatch(ids) {
  return request.post('/basicData/xcrAbnormalBusinessOperations/delete',ids)
}
